package mydb

import (
	"errors"
	"fmt"
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestErrorWrap(t *testing.T) {
	adapterFakeErr := fmt.Errorf("could not find item in %q: %w", "users", ErrCollectionDoesNotExist)
	assert.True(t, errors.Is(adapterFakeErr, ErrCollectionDoesNotExist))
}
